# Yahoo! UI Library

### YAHOO Global 2.2.2

Yahoo! UI Library > yahoo > YAHOO_config

## `static` Class YAHOO_config

YAHOO_config is not included part of the library. Instead it is an object that can be defined by the implementer immediately before including the YUI library. The properties included in this object will be used to configure global properties needed as soon as the library begins to load.

### Properties

#### listener `- static object`

A reference to a function that will be executed every time a YAHOO module is loaded. As parameter, this function will receive the version information for the module. See YAHOO.env.getVersion for the description of the version data structure.

Copyright © 2007 Yahoo! Inc. All rights reserved.